package utils

import "log"

func HandleError(err error, msg string) {
	if err != nil {
		log.Printf("%s: %v", msg, err)
	}
}

func HandleErrorFatal(err error, msg string) {
	if err != nil {
		log.Fatalf("%s: %v", msg, err)
	}
}
