package endpoint

import (
	"github.com/gin-gonic/gin"
	"net/http"
)
import "git.jmbit.de/jmb/patchman/common"

func PackageList(c *gin.Context) {
	var packageList common.PackageList
	if err := c.ShouldBindJSON(&packageList); err != nil {
		c.JSON(http.StatusBadRequest, gin.H{"error": err.Error()})
		return
	}
	c.Status(http.StatusOK)
}
